io.vertx.ext.consul

## Class Check

- java.lang.Object
- - io.vertx.ext.consul.Check

-     public class Check
      extends Object

  Holds check properties
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Check()` Default constructor
    `Check(Check other)` Copy constructor
    `Check(JsonObject check)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getId()` Get the ID of check
    `String` | `getName()` Get the name of check
    `String` | `getNode()` Get the name of node
    `String` | `getNodeName()` Deprecated.
    `String` | `getNotes()` Get the human-readable note of check
    `String` | `getOutput()` Get the output of check
    `String` | `getServiceId()` Get the ID of service with which this check associated
    `String` | `getServiceName()` Get the name of service with which this check associated
    `CheckStatus` | `getStatus()` Get the status of check
    `int` | `hashCode()`
    `Check` | `setId(String id)` Set the ID of check
    `Check` | `setName(String name)` Set the name of check
    `Check` | `setNode(String node)` Set the name of node
    `Check` | `setNodeName(String nodeName)` Deprecated.
    `Check` | `setNotes(String notes)` Set the human-readable note of check
    `Check` | `setOutput(String output)` Set the output of check
    `Check` | `setServiceId(String serviceId)` Set the ID of service with which this check associated
    `Check` | `setServiceName(String serviceName)` Set the name of service with which this check associated
    `Check` | `setStatus(CheckStatus status)` Set the status of check
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Check

          public Check()

      Default constructor

    - #### Check

          public Check(Check other)

      Copy constructor
      Parameters:
        `other` - the one to copy

    - #### Check

          public Check(JsonObject check)

      Constructor from JSON
      Parameters:
        `check` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getId

          public String getId()

      Get the ID of check
      Returns:
        the ID of check

    - #### getName

          public String getName()

      Get the name of check
      Returns:
        the name of check

    - #### getNodeName

          @Deprecated
          public String getNodeName()

      Deprecated.
      Get the name of node. Deprecated since consul 1.11, renamed to 'node'. Use `getNode()` instead
      Returns:
        name of node

    - #### getNode

          public String getNode()

      Get the name of node
      Returns:
        node name

    - #### getStatus

          public CheckStatus getStatus()

      Get the status of check
      Returns:
        the status of check

    - #### getNotes

          public String getNotes()

      Get the human-readable note of check
      Returns:
        the human-readable note of check

    - #### getOutput

          public String getOutput()

      Get the output of check
      Returns:
        the output of check

    - #### getServiceId

          public String getServiceId()

      Get the ID of service with which this check associated
      Returns:
        the ID of service with which this check associated

    - #### getServiceName

          public String getServiceName()

      Get the name of service with which this check associated
      Returns:
        the name of service with which this check associated

    - #### setId

          public Check setId(String id)

      Set the ID of check
      Parameters:
        `id` - the ID of check
      Returns:
        reference to this, for fluency

    - #### setName

          public Check setName(String name)

      Set the name of check
      Parameters:
        `name` - the name of check
      Returns:
        reference to this, for fluency

    - #### setStatus

          public Check setStatus(CheckStatus status)

      Set the status of check
      Parameters:
        `status` - the status of check
      Returns:
        reference to this, for fluency

    - #### setNotes

          public Check setNotes(String notes)

      Set the human-readable note of check
      Parameters:
        `notes` - the human-readable note of check
      Returns:
        reference to this, for fluency

    - #### setOutput

          public Check setOutput(String output)

      Set the output of check
      Parameters:
        `output` - the output of check
      Returns:
        reference to this, for fluency

    - #### setServiceId

          public Check setServiceId(String serviceId)

      Set the ID of service with which this check associated
      Parameters:
        `serviceId` - the ID of service with which this check associated
      Returns:
        reference to this, for fluency

    - #### setServiceName

          public Check setServiceName(String serviceName)

      Set the name of service with which this check associated
      Parameters:
        `serviceName` - the name of service with which this check associated
      Returns:
        reference to this, for fluency

    - #### setNodeName

          @Deprecated
          public Check setNodeName(String nodeName)

      Deprecated.
      Set the name of node Deprecated since consul 1.11, renamed to 'node'. Use `setNode(String)` ()} instead
      Parameters:
        `nodeName` - the name of node
      Returns:
        reference to this, for fluency

    - #### setNode

          public Check setNode(String node)

      Set the name of node
      Parameters:
        `node` - the name of node
      Returns:
        reference to this, for fluency

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2024 Eclipse. All rights reserved.